<Component>
    <Component/>
    <Component>
        <Component/>
        <Component>
            <Component/>
            <Component>
                <Component/>
            </Component>
        </Component>
    </Component>
</Component>
